Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface MutationEvent

All Known Implementing Classes:
  MutationEventImpl

public interface MutationEvent
extends Event

The `MutationEvent` interface provides specific contextual information associated with Mutation events.

Since:
  DOM Level 2

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`java.lang.String` | `getAttrName()` `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.
`java.lang.String` | `getNewValue()` `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.
`java.lang.String` | `getPrevValue()` `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.
`Node` | `getRelatedNode()` `relatedNode` is used to identify a secondary node related to a mutation event.
`void` | `initMutationEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, java.lang.String prevValueArg, java.lang.String newValueArg, java.lang.String attrNameArg)` The `initMutationEvent` method is used to initialize the value of a `MutationEvent` created through the `DocumentEvent` interface.

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentNode, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Method Detail

### getRelatedNode

    public Node getRelatedNode()

  `relatedNode` is used to identify a secondary node related to a mutation event. For example, if a mutation event is dispatched to a node indicating that its parent has changed, the `relatedNode` is the changed parent. If an event is instead dispatch to a subtree indicating a node was changed within it, the `relatedNode` is the changed node.

### getPrevValue

    public java.lang.String getPrevValue()

  `prevValue` indicates the previous value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.

### getNewValue

    public java.lang.String getNewValue()

  `newValue` indicates the new value of the `Attr` node in DOMAttrModified events, and of the `CharacterData` node in DOMCharDataModified events.

### getAttrName

    public java.lang.String getAttrName()

  `attrName` indicates the name of the changed `Attr` node in a DOMAttrModified event.

### initMutationEvent

    public void initMutationEvent(java.lang.String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  Node relatedNodeArg,
                                  java.lang.String prevValueArg,
                                  java.lang.String newValueArg,
                                  java.lang.String attrNameArg)

  The `initMutationEvent` method is used to initialize the value of a `MutationEvent` created through the `DocumentEvent` interface. This method may only be called before the `MutationEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `relatedNodeArg` - Specifies the `Event` 's related Node
    `prevValueArg` - Specifies the `Event` 's `prevValue` property
    `newValueArg` - Specifies the `Event` 's `newValue` property
    `attrNameArg` - Specifies the `Event` 's `attrName` property

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD